#!/bin/bash
# Mithat Konar

# Run an automount repair via sudo and provide some feedback.
# Writes success/failure to /tmp/doRepair.tmp, 0 == success.
# Requires skinny-repair-automount

tmpFile=/tmp/doRepair.tmp

sudo -p "Authorization required. Enter your password:" skinny-repair-automount
rv=$?
if [ $rv -eq 0 ] ; then
	echo -e "\n\n***********************************************\n* Reboot the computer to complete the repair. *\n***********************************************"
else
	echo -e "\nNo repairs were made! You must be a superuser to use use this utility.\n"
fi
echo "$rv" > "$tmpFile"
read -p "Press ENTER to continue. . ."
